onnxruntime (1.23.2+dfsg-6) unstable; urgency=medium

  * Pass -Wno-error=unused-variable to avoid FTBFS on the amd64v3
    architecture variant. (LP: 2141490)

 -- Charles <charles05@canonical.com>  Wed, 11 Feb 2026 00:32:23 +0000

onnxruntime (1.23.2+dfsg-5) unstable; urgency=medium

  * Pass -Wno-error=array-bound to avoid FTBFS with newer GCC-15
    (Closes: #1127519)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 10 Feb 2026 15:31:14 +0100

onnxruntime (1.23.2+dfsg-4) unstable; urgency=medium

  [ YOKOTA Hiroshi ]
  * Append options instead of replace it on i386 platform
  * Fix autopkgtest error on some specific arm64 platform

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 Feb 2026 22:59:08 +0100

onnxruntime (1.23.2+dfsg-3) unstable; urgency=medium

  * Rewrite autopkgtests replacing PyTorch by NumPy + ONNX due to #1126427
      (Closes: #1126582)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 29 Jan 2026 09:29:58 +0100

onnxruntime (1.23.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * gbp.conf: set debian/unstable

 -- Dylan Aïssi <daissi@debian.org>  Fri, 16 Jan 2026 09:53:24 +0100

onnxruntime (1.23.2+dfsg-1) experimental; urgency=medium

  * New upstream version 1.23.2+dfsg

 -- Dylan Aïssi <daissi@debian.org>  Tue, 13 Jan 2026 09:12:34 +0100

onnxruntime (1.23.1+dfsg-1) experimental; urgency=medium

  [ Shengqi Chen ]
  * New upstream version 1.23.1+dfsg.
  * d/patches: refresh and remove outdated patches.
  * Bump SONAME to libonnxruntime1.23.

  [ Dylan Aïssi ]
  * Add patch fixing maybe-uninitialized and range-loop-construct warnings
  * d/control: bump B-D version of onnx

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Jan 2026 22:52:07 +0100

onnxruntime (1.21.0+dfsg-3) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * Use d/watch 5

  [ Dylan Aïssi ]
  * d/watch: use Github template
  * Don't treat uninitialized warnings as errors for now (Closes: #1117355)
  * Build ONNX Runtime with -O3 like binaries provided upstream
  * Build-Deps on python3* rather than python3-all* (Closes: #1119803)
  * Add debian/gbp.conf
  * debian/salsa-ci: disable arm64 and remove reference to reprotest

 -- Dylan Aïssi <daissi@debian.org>  Mon, 05 Jan 2026 21:06:37 +0100

onnxruntime (1.21.0+dfsg-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Move providers into their own package to avoid conflicts (Closes: #1098349)
  * Cherry-pick upstream patches:
    - fixing compilation with gcc-15 (Closes: #1097506)
    - fixing transpose store op for LoongArch (Closes: #1105821)

  [ YOKOTA Hiroshi ]
  * Enable i386 on CI build
  * Add SSE2 requirement flag to control file
  * Enable SSE2 for Debian i386 platform (Closes: #1110690)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 15 Sep 2025 14:26:46 +0200

onnxruntime (1.21.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * d/patches: update set-soversion.patch to use SOVERSION in the generation of
    linker scripts (so that ABIs are stable across patch releases).
  * Update symbol control file for libonnxruntime1.21.

 -- Shengqi Chen <harry@debian.org>  Thu, 13 Mar 2025 23:28:54 +0800

onnxruntime (1.21.0+dfsg-1~exp2) experimental; urgency=medium

  * d/tests: add test-name feature to all stanza
  * d/control:
    + bump std-ver to 4.7.2 (no changes required)
    + disable test-related B-D since tests are not compiled
  * d/patches:
    + do not require unused packages to be found in cmake
    + simply system-date-and-mp11.patch

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Mar 2025 13:03:10 +0800

onnxruntime (1.21.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 1.21.0+dfsg
    + change SONAME to libonnxruntime1.21
    + enable dlpack and add patch to use libdlpack from system
  * d/patches:
    + refresh all existing patches, remove unused patch
    + set SONAME to MAJOR.MINOR to avoid needless transitions
    + backport gcc-14 compilation fix from upstream
    + disable downloading in system-re2.patch

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Mar 2025 00:46:59 +0800

onnxruntime (1.20.1+dfsg-2) unstable; urgency=medium

  * d/rules: disable xnnpack EP on riscv64 (currently unusable)
  * d/patches: add patch to set noexecstack in linker flags
    (closes: #1098205)

 -- Shengqi Chen <harry@debian.org>  Wed, 19 Feb 2025 14:27:32 +0800

onnxruntime (1.20.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Shengqi Chen <harry@debian.org>  Tue, 18 Feb 2025 22:05:43 +0800

onnxruntime (1.20.1+dfsg-1~exp3) experimental; urgency=medium

  [ Mo Zhou ]
  * Patch cmake to avoid -lkleidiai to fix arm64 FTBFS.

  [ Shengqi Chen ]
  * d/patches:
    + refresh & rename arm64-no-kleidiai to use-system-xnnpack
    + update use-system-xnnpack.patch to disable all downloading
  * d/salsa-ci.yml: enable arm64 build test
  * d/control: add myself in uploaders

 -- Shengqi Chen <harry@debian.org>  Tue, 18 Feb 2025 02:04:15 +0800

onnxruntime (1.20.1+dfsg-1~exp2) experimental; urgency=medium

  * Don't make providers versioned
  * Add some Conflicts, Replaces and Breaks to avoid
      conflicts with providers (Closes: #1094599)
  * Add more lintian overrides for providers plugins

 -- Dylan Aïssi <daissi@debian.org>  Thu, 30 Jan 2025 11:00:21 +0100

onnxruntime (1.20.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.20.1+dfsg
    + bump SONAME to libonnxruntime1.20.1
  * d/patches:
    + refresh existing patches, remove merged patches
    + add more hunks to fix build issue with eigen3
    + add hunk to fix c++ build issue
  * d/control: specify correct version of libxnnpack-dev in B-D

 -- Shengqi Chen <harry@debian.org>  Tue, 28 Jan 2025 19:21:58 +0800

onnxruntime (1.19.2+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Remove remaining dnnl-related config on riscv64 to fix build
  * d/rules: remove all potential loadable plugin files from
    python3-onnxruntime

 -- Shengqi Chen <harry@debian.org>  Fri, 24 Jan 2025 13:29:27 +0800

onnxruntime (1.19.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * d/tests: enable tests only on architectures with pytorch available
  * d/rules: disable onednn on riscv64 due to its lack of openmp support
  * d/rules: use ninja as cmake backend
  * d/patches: update metadata of some patches
  * lintian-overrides:
    + add no-manual-page for onnxruntime-tools
    + fix .so paths for libonnxruntime
  * d/control: mark onnxruntime-tools as Archtecture: all
  * d/control: remove disabled libnsync-dev from Build-Depends

 -- Shengqi Chen <harry@debian.org>  Thu, 23 Jan 2025 21:14:15 +0800

onnxruntime (1.19.2+dfsg-7) unstable; urgency=medium

  * Update symbols file for architectures where DNNL is enabled.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jan 2025 12:06:50 +0100

onnxruntime (1.19.2+dfsg-6) unstable; urgency=medium

  * Only install libonnxruntime_providers_dnnl.so on architectures
      where DNNL is enabled.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Jan 2025 15:40:13 +0100

onnxruntime (1.19.2+dfsg-5) unstable; urgency=medium

  * Autopkgtest: add providers.py to check the f32 GEMM performance
    for all supported providers. Currently on amd64 we have three providers:
    dnnl, xnnpack, and cpu (onnxruntime built-in).
  * Only B-D on XNNPACK for some architectures. Then it can be built on ppc64el.
  * Enable DNNL (i.e., oneDNN) execution provider for selected architectures.
  * Refresh symbols control file and update lintian overrides.
  * Override dh_python3 to remove redundant dnnl provider.

 -- Mo Zhou <lumin@debian.org>  Tue, 14 Jan 2025 19:05:30 -0500

onnxruntime (1.19.2+dfsg-4) unstable; urgency=medium

  [ Mo Zhou ]
  * Autopkgtest: test inference with a dummy neural net exported from PyTorch.

  [ Dylan Aïssi ]
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 13 Jan 2025 14:55:09 +0100

onnxruntime (1.19.2+dfsg-3) experimental; urgency=medium

  [ Dylan Aïssi ]
  * Enable python binding (Closes: #1088901)
    - Build new binary package: python3-onnxruntime
    - Add new Build-Deps: dh-sequence-python3, dh-sequence-numpy3,
        python3-packaging, python3-protobuf, python3-pybind11.

  [ Mateus Rodrigues de Morais ]
  * Disable LTO and O3 optimization to fix FTBFS on Ubuntu

 -- Dylan Aïssi <daissi@debian.org>  Sat, 11 Jan 2025 11:31:55 +0100

onnxruntime (1.19.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Tue, 15 Oct 2024 19:28:48 +0200

onnxruntime (1.19.2+dfsg-1) experimental; urgency=medium

  [ Shengqi Chen ]
  * d/copyright: exclude more files with unclear license
  * New upstream version 1.19.2+dfsg (closes: #1080510, #1081664)
  * d/patches:
    + refresh & remove applied patches
    + add patch to use system absl (not yet enabled)
    + add patch to fix eigen3 compilation
    + add patch to fix xnnpack compilation
    + add patch to fix compilation with gcc-14
    + add patch to set SOVERSION of shared library
  * d/control: bump B-D version of libcpuinfo and libxnnpack
  * d/rules:
    + use ninja to build
    + enable hardening
    + do not re-generate fbs schema
  * d/: bump SONAME to libonnxruntime1.19.2

  [ Dylan Aïssi ]
  * Add patch adding aliases for library onnx
  * Add symbols file
  * Add upstream/metadata

 -- Dylan Aïssi <daissi@debian.org>  Thu, 10 Oct 2024 11:13:02 +0200

onnxruntime (1.16.3+dfsg-7) unstable; urgency=medium

  * Fix includedir in pkgconfig (Closes: #1079791)
  * Add a basic build autopkgtest for the library

 -- Dylan Aïssi <daissi@debian.org>  Tue, 27 Aug 2024 16:53:29 +0200

onnxruntime (1.16.3+dfsg-6) unstable; urgency=medium

  * Update patch to include the missing header in more files,
      fix FTBFS on arm64.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 22 Aug 2024 09:54:30 +0200

onnxruntime (1.16.3+dfsg-5) unstable; urgency=medium

  * Add patch fixing compilation with newer flatbuffers (Closes: #1076959)
  * Add patch adding missing include <iomanip>

 -- Dylan Aïssi <daissi@debian.org>  Tue, 20 Aug 2024 17:45:03 +0200

onnxruntime (1.16.3+dfsg-4) unstable; urgency=medium

  * Add patches fixing FTBFS with GCC-14 (Closes: #1075334)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Jul 2024 17:57:45 +0200

onnxruntime (1.16.3+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Thu, 30 May 2024 10:15:32 +0200

onnxruntime (1.16.3+dfsg-2) experimental; urgency=medium

  * Cherry-pick upstream patch:
      - 17eaf9b: Fix a build error in SparseTensor code for 32-bit build configs

 -- Dylan Aïssi <daissi@debian.org>  Wed, 29 May 2024 16:07:29 +0200

onnxruntime (1.16.3+dfsg-1) experimental; urgency=medium

  * New upstream version 1.16.3+dfsg
    - Fix FTBFS with newer re2 (Closes: #1071819)
  * Bump SONAME to libonnxruntime1.16.3
  * Add new Build-Deps: libmsgsl-dev and pkgconf
  * Mark libonnxruntime-dev as Breaks+Replaces libonnxruntime1.13.1
  * Standards-Version: 4.7.0 (no changes required)
  * Adapt patches for new version, mainly based on those from Fedora
  * Update lintian-overrides

 -- Dylan Aïssi <daissi@debian.org>  Tue, 28 May 2024 15:57:08 +0200

onnxruntime (1.13.1+dfsg-1) unstable; urgency=medium

  [ Mo Zhou ]
  * Initial release. (Closes: #933354, #1035081)

  [ Andre Moreira Magalhaes ]
  * Import new upstream release

  [ Dylan Aïssi ]
  * Finalize packaging

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 Jan 2024 17:23:31 +0100
